import { z } from "zod"
import { PORTA, PREFIXO } from "../PREFIXO"

const validar = z
  .object({
    PORTA: z.string(),
    PREFIXO: z.string().regex(/^\/\w+$/),
  })
  .safeParse({ PORTA, PREFIXO })

if ("error" in validar) {
  throw new Error(
    validar.error?.errors
      .map((erro) => `${erro.path}: ${erro.message}`)
      .join("\n"),
  )
}

export const ambiente = validar.data
